/*****************************************************************************
   ISSIGraph: Experimental Surface Editor Prototype						 
   Copyright (C) 2013 by Carlos Jimnez de Parga								 
   
   Trabajo para el:
   MASTER EN INVESTIGACIN EN INGENIERA DE SOFTWARE Y SISTEMAS INFORMTICOS
			REPRESENTACIN GRFICA DE SUPERFICIES IMPLCITAS			
	DEPARTAMENTO DE INGENIERA DE SOFTWARE Y SISTEMAS INFORMTICOS 
							- UNED -

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

#ifndef _DEFINITIONS_H_
#define _DEFINITIONS_H_


/* 
	FILE: Definitios.h
	PURPOSE: Main application definitions (GUI and bussines logic)
	Author: Carlos Jimnez de Parga (c)
	License: GPL v3.0
*/

enum {
	Timer = wxID_HIGHEST + 1, // Menu events 
	wxID_NURBS = wxID_HIGHEST + 2,
	wxID_BEZIER = wxID_HIGHEST + 3,
	wxID_CYLINDER = wxID_HIGHEST + 4,
	wxID_SPHERE = wxID_HIGHEST + 5,
	wxID_CONE = wxID_HIGHEST + 6,
	wxID_TEAPOT = wxID_HIGHEST + 7,
	wxID_TRANSFORM = wxID_HIGHEST + 8,
	wxID_EXPORT_JPG = wxID_HIGHEST + 9,
	wxID_EXPORT_PNG = wxID_HIGHEST + 10,
	wxID_EXPORT_BMP = wxID_HIGHEST + 11,
	wxID_TEXT = wxID_HIGHEST + 12,
	TimerLogo = wxID_HIGHEST + 13,
	wxID_COLOR = wxID_HIGHEST + 14,
	wxID_SLIDER = wxID_HIGHEST + 15,
	wxID_COMBO = wxID_HIGHEST + 16,
	wxID_TOOLBAR = wxID_HIGHEST + 17,
	wxID_LEFT = wxID_HIGHEST + 18,
	wxID_RIGHT = wxID_HIGHEST + 19,
	wxID_ZOOMMINUS = wxID_HIGHEST + 20,
	wxID_ZOOMPLUS = wxID_HIGHEST + 21,
	wxID_ROTATEYPLUS = wxID_HIGHEST + 22,
	wxID_ROTATEYMINUS = wxID_HIGHEST + 23,
	wxID_CENTER = wxID_HIGHEST + 24,
	wxID_TETRAHEDRON = wxID_HIGHEST + 25,
	wxID_OCTAHEDRON = wxID_HIGHEST + 26, 
	wxID_DODECAHEDRON = wxID_HIGHEST + 27,
	wxID_ICOSAHEDRON = wxID_HIGHEST + 28,
	wxID_ROMBIC_DODECAHEDRON = wxID_HIGHEST + 29,
	wxID_TORUS = wxID_HIGHEST + 30,
	wxID_HISTORYBACK = wxID_HIGHEST + 31,
	wxID_HISTORYFORWARD = wxID_HIGHEST + 32,
	ID_NURBS = 1, // Switch identificators
	ID_BEZIER = 2,
	ID_CYLINDER = 3,
	ID_SPHERE = 4,
	ID_CONE = 5,
	ID_TEAPOT = 6,
	ID_COPY = 7,
	ID_PASTE = 8,
	ID_CUT = 9,
	ID_TRANSFORM = 10,
	ID_UNDO = 11,
	ID_REDO = 12,
	ID_TETRAHEDRON = 13,
	ID_OCTAHEDRON = 14, 
	ID_DODECAHEDRON = 15,
	ID_ICOSAHEDRON = 16,
	ID_ROMBIC_DODECAHEDRON = 17,
	ID_TORUS = 18
};

#endif